/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package moe.nekojimi.chords.commands;

import moe.nekojimi.chords.Chords;

/**
 *
 * @author jimj316
 */
public abstract class Command
{

    protected final Chords bot;
    protected final String keyword;

    public Command(Chords bot, String keyword)
    {
        this.bot = bot;
        this.keyword = keyword;
    }

    public abstract void call(Invocation invocation);

    public String getKeyword()
    {
        return keyword;
    }

    public String argumentDescription()
    {
        return ""; // most commands take no arguments
    }

    public String synopsis()
    {
        throw new UnsupportedOperationException("Not supported yet.");
    }
//
    public String help()
    {
        throw new UnsupportedOperationException("Not supported yet.");
    }

}
